Bug 67821 - port conflict with mod_ssl
port conflict with mod_ssl
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: mod_ssl (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-02 11:08 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-02 12:06:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-02 11:08:55 EDT
Description of Problem:

Whenever we load apache after installing the latest mod_ssl (mod_ssl-2.8.5-4),
we get the following error message and apache doesn't start.

[Mon Jul  1 21:16:49 2002] [crit] (98)Address already in use: make_sock: could
not bind to port 80

If we disable the line with port 80 of the ssl section of httpd.conf, it works.
The comments state we need to listen to standard (port 80) as well. Any ideas
why this is happening with the upgrade?

##
##  SSL Support
##
##  When we also provide SSL we have to listen to the 
##  standard HTTP port (see above) and to the HTTPS port
##
<IfDefine HAVE_SSL>
Listen 80
Listen 443
</IfDefine>
Comment 1 Joe Orton 2002-07-02 11:50:18 EDT
That sounds like something is already listening on port 80. How are you starting
Apache? Use "service httpd restart" as root to completely restart Apache.
Comment 2 Need Real Name 2002-07-02 12:06:38 EDT
We did use the standard "service httpd restart" to restart it. It returns OK
status, however ps -ax | grep httpd reveals httpd didn't start. When we start
httpd by hand without the -DHAVE_SSL parameter, it starts up fine.
Comment 3 Joe Orton 2002-07-24 05:00:59 EDT
Do you have another Listen statement in your httpd.conf file, which also
instructs the server to listen on port 80? That would cause the error you describe.

This sounds very much like a configuration issue, not a package issue, so I am
closing this bug.

Note You need to log in before you can comment on or make changes to this bug.